* Replicate Heller-Mershon analysis reported in `Testing for Interaction in Binary Logit and Probit Models:  Is a Product Term Essential?,` American Journal of Political Science (January 2010), by William D. Berry, Jacqueline H.R. DeMeritt and Justin Esarey.
 
* set seed so can replicate
set seed 57962

insheet using \heller\Chamber630casesmini.csv, comma 

generate product = electlaw*blurred2

* replicate column 1 of Table 4 of Heller and Mershon (JOP, May 2005)

* note that the variable `electoral rules` from the Berry/DeMeritt/Esarey article (and `PR or FPTP` in Heller and Mershon`s table) is called `electlaw` in the following logit command, and the variable `party label` from the Berry/DeMeritt/Esarey article (and `Clear or blurred label` in Heller and Mershons table) is called `blurred2` in the logit command

logit anycross electlaw blurred2 product age newcomer southisl groupsiz govstatm0

* do CLARIFY analysis to compute min-max 2nd difference treating blurred2 as the contextual variable & then electlaw as context

* Do CLARIFY analysis to compute min-max 2nd difference treating blurred2 as the contextual variable.  The quantity `dsl_blurred2context` is the ultimate second difference reported at the end of the discussion of point (4) in the Berry/DeMeritt/Esarey article

estsimp logit anycross electlaw blurred2 product age newcomer southisl groupsiz govstatm0

setx mean
setx electlaw 0 blurred2 0 product 0
simqi, prval(1) genpr(pr00) 

setx electlaw 0 blurred2 1 product 0
simqi, prval(1) genpr(pr01) 

setx electlaw 1 blurred2 0 product 0
simqi, prval(1) genpr(pr10) 

setx electlaw 1 blurred2 1 product 1
simqi, prval(1) genpr(pr11) 

gen slblurred2e0 = pr10 - pr00
gen slblurred2e1 = pr11 - pr01
gen dsl_blurred2context = slblurred2e1 - slblurred2e0
sumqi slblurred2e0 slblurred2e1 dsl_blurred2context 




